SDL_TryLockRWLockForWriting(3)

NAME
SDL_TryLockRWLockForWriting - Try to lock a read/write lock _for writing_ without blocking.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_TryLockRWLockForWriting(SDL_RWLock *rwlock) SDL_TRY_ACQUIRE(0, rwlock);

DESCRIPTION
This works just like SDL_LockRWLockForWriting (), but if the rwlock is not available, this function returns SDL_RWLOCK_TIMEDOUT immediately. This technique is useful if you need exclusive access to a resource but don't want to wait for it, and will return to it to try again later. It is illegal for the owning thread to lock an already-locked rwlock for writing (read-only may be locked recursively, writing can not). Doing so results in undefined behavior. It is illegal to request a write lock from a thread that already holds a read-only lock. Doing so results in undefined behavior. Unlock the read-only lock before requesting a write lock. This function does not fail; if rwlock is NULL, it will return 0 immediately having locked nothing. If rwlock is valid, this function will always either lock the rwlock and return 0, or return SDL_RWLOCK_TIMEOUT
 and lock nothing.

FUNCTION PARAMETERS

rwlock
    the rwlock to try to lock

RETURN VALUE
Returns 0 or SDL_RWLOCK_TIMEDOUT

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_LockRWLockForWriting(3), SDL_TryLockRWLockForReading(3), SDL_UnlockRWLock(3)